setwd(dirname(parent.frame(2)$ofile))
library(ggplot2)

#-------------------------------------

f <- list( name = 'f',
           time = seq(0, 1, by=0.1))

p <- list( name  = c('u','v'),
           value = c(50,10))

res <- simulx( model     = 'intro1_model.txt',
               parameter = p,
               output    = f)


pl=ggplot(data=res$f, aes(x=time, y=f)) + geom_line(size=1)
print(pl)


