processing_data <- function(data,group)
{

  dataindividual  <-  list()
  datagroup       <-  list()
  parameter       <-  list()
  dose            <-  list()
  response        <-  list()
  task            <-  list()
  if (isfield(group[[1]] ,'parameter'))
    parameter_inds = matrix(nrow=length(group), ncol=length(group[[1]]$parameter$name))
    
for (i in 1:length(group)){
  # affectation d un nom
  dataindividual[[i]]  <- list(NAME=i)
  ###################################################################################
  # DOSE
  ###################################################################################
  if (isfield(group[[i]] ,'treatment')){
    dose <- list(AMOUNT = group[[i]]$treatment$amount, 
                 TYPE   = group[[i]]$treatment$type,
                 RATE   = group[[i]]$treatment$rate, 
                 TIME   = group[[i]]$treatment$time)
    

    dataindividual[[i]]  <- c(dataindividual[[i]], list(DOSE=dose))
  }
  
  ###################################################################################
  # PARAMETER
  ###################################################################################
  if (isfield(group[[i]] ,'parameter')){
      parameter   <-  list(NAME  = group[[i]]$parameter$name , 
                           VALUE = group[[i]]$parameter$value)
    
      parameter_inds[i,]= parameter$VALUE
      #dataindividual[[i]] <- c(dataindividual[[i]], list(PARAMETERS=parameter))
  }
  
 
  
  ###################################################################################
  # RESPONSE
  ###################################################################################
  response             <-  list(NAME  = group[[i]]$output_individual$name, 
                                TIME  = group[[i]]$output_individual$time,
                                LABEL = group[[i]]$output_individual$label)

  dataindividual[[i]]  <- c(dataindividual[[i]], list(RESPONSE=response))
  ###################################################################################
  # TASK
  ###################################################################################
  task <- list(load_design = TRUE) # recharge le design, 0 : recharge uniquement les parametres
  #data.task.load_parameter   = true;
  
  #dataindividual[[i]]  <- list(NAME=name, PARAMETERS=parameter, RESPONSE=response, DOSE=dose)
  ###################################################################################
  # GROUP
  ###################################################################################
  datagroup[[i]] <- list(LEVEL  = group[[i]]$level, 
                         SIZE   = group[[i]]$size, 
                         OUTPUT = group[[i]]$output_group$name)
  
}
data <- c(data, list(INDIVIDUAL=dataindividual, GROUP=datagroup))
#data <- c(data, list(TASK=task, INDIVIDUAL=dataindividual, GROUP=datagroup))
if (isfield(group[[1]] ,'parameter')){
    data <- c(data, list(INDIVIDUAL_PARAMETERS=NULL))
    data$INDIVIDUAL_PARAMETERS$NAME  <- parameter$NAME
    data$INDIVIDUAL_PARAMETERS$VALUE <- parameter_inds
  }
data
}
